Loading...
Searching...
No Matches
write_ppm.c File Reference

GRASS png display driver - write PPM image (lower level functions). More...

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <grass/gis.h>`
`#include "pngdriver.h"`
Include dependency graph for pngdriver/write_ppm.c:

Go to the source code of this file.

## Functions

void | write_ppm (void)
void | write_pgm (void)

## Detailed Description

GRASS png display driver - write PPM image (lower level functions).

(C) 2007-2014 by Glynn Clements and the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Glynn Clements

Definition in file pngdriver/write_ppm.c.

## Function Documentation

## write_pgm()

void write_pgm | ( | void |  | ) |

Definition at line 49 of file pngdriver/write_ppm.c.

References b, g, G_fatal_error(), G_free(), G_store(), output(), png, png_get_pixel(), r, and x.

Referenced by write_image().

## write_ppm()

void write_ppm | ( | void |  | ) |

Definition at line 21 of file pngdriver/write_ppm.c.

References b, g, G_fatal_error(), output(), png, png_get_pixel(), r, and x.

Referenced by write_image().